This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

# Changelog for "oidc-library"

## [v1.3.1]
Added `Catalogue-Manager` and `Catalogue-Moderator` roles to the enum (#23623)

## [v1.3.0]
Added method to retrieve UMA token by using `clientId` and `clientSecret` in a specific `audience` (aka context) that can now be provided in both encoded and not encoded form (starts with "/" check is performed).

## [v1.2.1]
- "Data-Editor" role added (#20896), some logs changed to debug level

## [v1.2.0]
- Site is now comparable. Added JTI value getter and essentials info dump in JWT. Revised get avatar helper.

## [v1.1.1]
- New checks for "invalid_grant" and "access_denied" error together with ""Token is not active"", "Invalid bearer token" and "not_authorized" descriptions (#20407)

## [v1.1.0]
- Added avatar configuration and retrieve helper methods (#19726)

## [v1.0.0-SNAPSHOT]
- First release (#19225) (#19226) (#19227)
